July 2019 (1.21.0) - jsmith@resonatingmedia.com

- Fixed typo in insserv.8 manual page.
- Make it clear that when --verbose (-v) flag is used,
  status information is printed to stderr.
- Added silent (-q) flag which blocks warning messages
  to stderr. In this mode insserv only prints fatal
  error messages.
- Fixed typo when assigning directory path when -i is used.
  Updated testsuite to match fixed directory path when -i is used.

June 2019 (1.20.0) - jsmith@resonatingmedia.com

- Update insserv manual page to refer to startpar(1)
  instead of startpar(8).
- The insserv program now warns when a script has the
  same runlevel specified in both the Default-Start
  and Default-Stop fields of its LSB header.
  Should close Debian bug #538304.
- Added tests/run-testsuite to Makefile's "check" target
  for Debian bug #926547.
- Fixed minor typos in output text and in man page.
- Added -i flag for insserv which allows user to specify
  a specific directory for the Makefile-style depdnency files.
- Fixed run-testsuite script to use new syntax/location
  of Makefile-style dependency files.
- When a scripted test fails, the test script now stops without cleaning up
  to make sure we can look at the data that insserv provided.
- Temporary script data is now cleaned up using "make distclean".
- Fixed run-testsuite to fix backward Required-Stop logic test.
- When an initscript contains a "$service" dependency which
  cannot be resolved (ie $service does not expand or does not exist)
  insserv will display a warning. The initscript is still added.
- The insserv program now loads optional extensions from /etc/insserv/file-filters
  which will be ignored if found in the init.d directory. This allows admins
  to filter out file extensions which may be used to manage services (such as 
  .git or .puppet).
  Closes Debian bug #622878
- The Makefile no longer overwrites existing /etc/insserv.conf file if it exists.
  This could cause errors next tme insserv was run if distro-specific/local
  changes were overwritten. If the /etc/insserv.conf file already exists
  we make a new file called /etc/insserv.conf.sample instead.

November 2018 - jsmith@resonatingmedia.com

- Applied distro-independent patches from Debian to
  upstream code and manual page.
  Mostly introduces typo fixes and more flexible
  Makefile options.
  The following patches are no longer needed downstream:
  20_manpage_spelling
  21_tweak_warnings
  30_interactive_regexp_match
  92_m68k_alignment
  100_show
  130_crossbuild_fixes
  150_core_string_test
  160_manual_page_update
  170_undeclared_extension
  180_maxsymlinks

- Minor update to manual page to fix typo.
- Added patch from Dmitry Bogatov which makes communicating
  with D-bus optional at compile time. This feature is
  enabled by compiling with WANT_SYSTEMD defined.
- Migrated Debian testsuite into the "tests" directory.
- Fixed typo in warning messages.
- Cause Makefile to create link needed for testing in "tests"
  directory when building insserv. Running distclean removes
  link to avoid cluttering archive.
- Fixed pushd() and popd() functions to avoid terminating insserv
  if the current working directory is inaccessible.
  Fixes Debian bugs #573571 and #785687.
- Updated warning message insserv disables when an init.d script
  is not executable, to better indicate the script will not
  be enabled at boot/entering runlevel.
  Closes Debian bug 661314.
- Applied patch from Bloeslaw Tokarski which should improve
  performance of insserv in some cases by bypassing unnecessary
  some fadvise calls.
  Closes Debian bug #775912
- Updated manual page with format changes. Applied
  patch from Bjarni Ingi Gislason which closes Debian
  bug #919610
- Applied two new memory checks to avoid potential segfault.
- Print full path names when giving status updates on creating
  (or failing to create) files such as .depend.boot, .depend.start
  and .depend.stop.
  Addresses Debian bug #547609
- Minor fix to Makefile to make sure it cleans up after
  creating tarball.
- Added patch to make automated builds not require re-building source
  on Debian. (Patch provided by Helmut.)
  Closes Debian bug #922870


-------------------------------------------------------------------
October 2018 - jsmith@resonatingmedia.com

- Added ability to run --dry-run and --show-all in addition to
  the existing --dryrun and --showall options.
  Closes Debian bug #580773
- Fixed compiler warnings when unused variables are defined in listing.h


-------------------------------------------------------------------
August 2018 - jsmith@resonatingmedia.com

- Updated insserv.c and listing.h to fix compile errors.
- Fixed Makefile so that all source dependencies are found.
- Allow CC to be defined outside of Makefile so we are not tied to GCC.
- Fixed function definitions, moved code (map_ functions) used in multiple 
  places out of insserv.c and into its own module called map.c
  Makes it easier to fix Makefile to build with modern systems/compilers.
- Cleaned up the last of the compiler errors on Clang and almost all the
  warnings from GCC.

-------------------------------------------------------------------
Sun Feb 16 19:16:10 CET 2014 - pere@hungry.com

- Next release will be 1.17.0.
- Correct manual page, refer to init(8), not nonexisting init(7).
- Fix scope after if test to match the indentation and probably the
  intended behaviour.  Patch from Debian fixing BTS #736479.
- Remove useless test checking for NULL==serv which is impossible
  after a while test check it (Coverity CID 1174105).
- Check exit value from mkdir() and report an error if it fail
  (Coverity CID 1174104).
- Make sure to check the return value from ftello() before passing it
  to posix_fadvise() (Coverity CID 1174109).
- Make sure to check if name is NULL before dereferencing it (Coverity
  CID 1174114).
- Exit with an error if getcwd() fail (Coverity CID 1174110).
- Runlevel numbers above 8 is an error, exit when it happen instead of
  reading outside the runlevel info array (Coverity CIDs 1174111,
  1174112 and 1174113).
- Document correct fall through cases (Coverity CIDs 1174107 and
  1174108).
- Make sure a 'distclean' target is available in the makefile.

-------------------------------------------------------------------
Tue Apr 30 10:20:58 CET 2013 - werner@suse.de

- Fix buffer overrun (based on patch from Petr Ovtchenkov)

-------------------------------------------------------------------
Thu Nov 15 10:24:12 CET 2012 - werner@suse.de

- Avoid warning about not existing systemd socket
- Bug fix: do not close dbus connection which was never established

-------------------------------------------------------------------
Wed Nov 14 12:12:15 CET 2012 - werner@suse.de

- Add systemd support
  * Talk with systemd over dbus connection to get all services and
    targets known by systemd
  * Implement missing garbage collector for system facilities as
    the systemd targets are used as system facilities
  + Side efect is that we detect loops in the systemd units

-------------------------------------------------------------------
Fri Oct 26 11:14:05 UTC 2012 - werner@suse.de

- Add showall patch from Debian developer Kel Modderman

-------------------------------------------------------------------
Mon Sep 24 14:05:44 UTC 2012 - werner@suse.de

- Avoid warnings if there exsists LSB tags for a script in the
  override locations (fate #314069) 

-------------------------------------------------------------------
Fri Nov 18 14:40:21 UTC 2011 - werner@suse.de

- Do not enforce service reload in case of an other root files
  system no in case of not having systemd running (bnc#728947)  

-------------------------------------------------------------------
Fri Aug 19 13:57:29 UTC 2011 - werner@suse.de

- We should forward to systemctl when running under rpm (this is
  supposed to be handled outside insserv) (from Frederic Crozat)
- When insserv is called with full path of initscript
  ("insserv /etc/init.d/acpid") , systemctl was called with a "null"
  alternative root (from Frederic Crozat).
 
-------------------------------------------------------------------
Tue Aug  2 12:18:51 UTC 2011 - werner@suse.de

- Enable insserv to support systemd services if shadowed by systemd

-------------------------------------------------------------------
Fri Feb 25 17:39:37 CET 2011 - werner@suse.de

- Skip `FATAL' key word from messages currently nonfatal

-------------------------------------------------------------------
Thu Feb 10 12:49:14 CET 2011 - werner@suse.de

- Linked lists: support prefetch of next pointer address for all
  architectures

-------------------------------------------------------------------
Tue Nov 30 11:03:21 CET 2010 - werner@suse.de

- Make temporary the new dependency checks nonfatal

-------------------------------------------------------------------
Fri Nov 26 15:50:35 CET 2010 - werner@suse.de

- Warn if dependencies are not done in all runlevel
- Ignore real boot scripts for runlevel services as those
  are already enabled.

-------------------------------------------------------------------
Fri Jun 18 18:08:54 CEST 2010 - werner@suse.de

- Remove redundant dependencies in the .depend.* makefiles

-------------------------------------------------------------------
Tue Jun 15 14:05:31 CEST 2010 - werner@suse.de

- Do not forget the aliases in the makefiles

-------------------------------------------------------------------
Thu Jun 10 17:19:26 CEST 2010 - werner@suse.de

- Sort dependency lists of the services that is the highest
  dependencies first

-------------------------------------------------------------------
Fri May  7 17:15:02 CEST 2010 - werner@suse.de

- Get the value instead the ``X-'' from interactive tag
  this fix debian bug #580564

-------------------------------------------------------------------
Fri Apr 30 18:27:29 CEST 2010 - werner@suse.de

- Add the option of recursive enabling all required services

-------------------------------------------------------------------
Wed Apr 28 15:29:23 CEST 2010 - werner@suse.de

- Use savannah as primary site

-------------------------------------------------------------------
Fri Feb 19 13:36:50 CET 2010 - werner@suse.de

- Adopt upstart-job patch to be able to support traditional sysv
  rc execution of upstart jobs. Patch from Petter Reinholdtsen.
- Defend against symlinks in init.d/ to other scripts in init.d/
  Patch from Kel Modderman found at the Debian SVN server.

-------------------------------------------------------------------
Sat Nov 14 20:50:10 CEST 2009 - pere@hungry.com

- Add simple test case checking the ordering of three scripts.  Run
  the test suite before installing.

-------------------------------------------------------------------
Wed Aug 19 12:07:58 CEST 2009 - werner@suse.de

- Use dependency sorting for scripts using $all

-------------------------------------------------------------------
Tue Aug 18 14:16:05 CEST 2009 - werner@suse.de

- Make $all available for stopping order

-------------------------------------------------------------------
Mon Aug 17 14:55:39 CEST 2009 - werner@suse.de

- Loops within /etc/insserv.conf are real errors
- The system facility $all is special

-------------------------------------------------------------------
Thu Jul 23 11:28:08 CEST 2009 - werner@suse.de

- Fix expansion of the system facilties

-------------------------------------------------------------------
Mon Jun 29 14:26:57 CEST 2009 - werner@suse.de

- Make it possible to mark a script as interactive in the LSB
  header its self (patch from Petter Reinholdtsen).

-------------------------------------------------------------------
Mon Mar  9 13:12:17 CET 2009 - werner@suse.de

- Add service in .depend.start even if $all only is used

-------------------------------------------------------------------
Mon Feb 23 13:04:00 CET 2009 - werner@suse.de

- Allow overriding level on the command line

-------------------------------------------------------------------
Thu Feb 12 14:15:22 CET 2009 - werner@suse.de

- Do not be fooled by inexistent /proc

-------------------------------------------------------------------
Fri Sep 12 12:33:29 CEST 2008 - werner@suse.de

- Don't be fooled by broken symlinks (Patch from Kel Modderman)

-------------------------------------------------------------------
Thu Sep 11 15:28:29 CEST 2008 - werner@suse.de

- Load first script in argument list before all other scripts. This
  avoids problems with loading scripts in underterministic sequence
  returned by readdir(3) (Patch from Kel Modderman)

-------------------------------------------------------------------
Tue Aug 12 13:40:43 CEST 2008 - werner@suse.de

- Mention the $null facility

-------------------------------------------------------------------
Tue Jul 29 15:23:43 CEST 2008 - werner@suse.de

- Resolve server minor problems on openSUSE and Debian
  * Handle the runlevel bit for system boot in lvl2str()
  * Handle dependencies on several script on command line
  * Let link scheme overwrite empty default start/stop tags

-------------------------------------------------------------------
Wed Jul  2 19:38:15 CEST 2008 - werner@suse.de

- Use prefetch from kernels code for lists
- Make start/stop requirements link to the services its self
- Make -pedantic work
- Be sure that the code is optimized

-------------------------------------------------------------------
Wed Jun 25 19:37:35 CEST 2008 - werner@suse.de

- Handle provides and service lists in parallel, this should
  reduce the double efforts.
- Calculate start oder and stop order separately
- Sort targets in the makefile accordingly to their order

-------------------------------------------------------------------
Wed Jun 18 15:27:16 CEST 2008 - werner@suse.de

- Clean out several provides of one specific script, add therefore
  an alias list to the first provide. This makes less work load on
  following the full dependcy trees.
- Use aligned memory allocation to avoid memory fragmentation
- Use reference counts to be able to free not needed memory
- Be able to follow not only the start but also the stop dependcies

-------------------------------------------------------------------
Wed Jun 11 14:35:13 CEST 2008 - werner@suse.de

- Make kbd interactive to avoid race during tty resize (bnc#259577)

-------------------------------------------------------------------
Wed Jun  4 12:17:44 CEST 2008 - werner@suse.de

- Scan service links even for non LSB scripts (bnc#391014)

-------------------------------------------------------------------
Thu May 29 00:42:42 CEST 2008 - dmueller@suse.de

- really remove last reference to boot.setclock (bnc#384254)

-------------------------------------------------------------------
Tue May 20 09:25:41 CEST 2008 - werner@suse.de

- Remove last occurence of boot.setclock (bnc#384254)

-------------------------------------------------------------------
Thu May 15 13:42:57 CEST 2008 - werner@suse.de

- Also ignore temporary (mostly?) errors if executed within an rpm
  scriptlet (bnc#385498, bnc#384254)
- Move stat() check for /etc/insserv.conf.d/ configure files
  to scan_conf() otherwise we never scan those files.

-------------------------------------------------------------------
Mon May  5 18:47:26 CEST 2008 - werner@suse.de

- Ignore temporary errors during update with YaST/zypper (bnc#385498)

-------------------------------------------------------------------
Mon Apr 28 15:25:54 CEST 2008 - werner@suse.de

- boot.clock was into two scripts for boot and shutdown
  Todo: make insserv knowing about Required-Stop to merge them
  again to one boot.clock.

-------------------------------------------------------------------
Wed Apr  9 16:02:26 CEST 2008 - mkoenig@suse.de

- add boot.crypto-early to insserv.conf

-------------------------------------------------------------------
Mon Feb  4 18:32:33 CET 2008 - werner@suse.de

- Expand system facilities to make deep of the dependcy graph
  less deeper.

-------------------------------------------------------------------
Fri Feb  1 14:34:52 CET 2008 - werner@suse.de

- Avoid SIGSEGV in functions which can handle NULL pointers
  thanks goes to Petter Reinholdtsen for his report

-------------------------------------------------------------------
Wed Jan 30 17:49:55 CET 2008 - werner@suse.de

- New version 1.11.0 of insserv
- Code cleanup, update copyrights, and manual pages
- Use __attribute__ of gcc for better function management
- Use __attribute__ of gcc for alignment of list_t pointers
- Some preparation listing.c for kill link sorting (TODO)

-------------------------------------------------------------------
Thu Jan 24 18:59:14 CET 2008 - werner@suse.de

- Add and integrate many patches from Debian svn tree done by
  Petter Reinholdtsen
  * Make it possible to set the path at runtime, to make it easier
    to write test suites
  * Support for reading LSB headers info from override directory
  * Accept script names like 'rc.local' for Debian build
  * Use other defaults on Debian systems (start, stop levels)
  * Put redundant level informations in one API
  * Fix the handling of stop scripts and the shutdown sequence
    on Debian systems
  * Better loop report
  * Make loops fatal if not forced
- Clean the API for listing the services

-------------------------------------------------------------------
Wed Oct 10 12:39:25 CEST 2007 - werner@suse.de

- Even disabled scripts should be occur in dependcies (#331615)
- Handle return values of strsep in case of several provides
- Do not scan services links if removed later on
- New version 1.10.0 of insserv

-------------------------------------------------------------------
Fri Aug 31 16:08:47 CEST 2007 - werner@suse.de

- Scan all scripts for Start-Before even if already known (#297214)
- Do not add disabled scripts to the depend files

-------------------------------------------------------------------
Fri Jul 13 12:05:19 CEST 2007 - werner@suse.de

- Remove hotplug and pcmcia from insserv.conf because they are
  dropped (bug #291417)

-------------------------------------------------------------------
Tue Jun 19 18:59:30 CEST 2007 - werner@suse.de

- Scan all files in `should start before' even facilities
- Read insserv.conf in other root environments

-------------------------------------------------------------------
Tue May 29 17:45:06 CEST 2007 - werner@suse.de

- Ignore rcs-files (bug #278520)

-------------------------------------------------------------------
Mon Jan 29 15:08:17 CET 2007 - werner@suse.de

- Split insserv.conf off from source tar ball to avoid patching
- Add boot.crypto to $local_fs
- Add smbfs/cifs to $remote_fs

-------------------------------------------------------------------
Mon Jan 22 15:17:23 CET 2007 - werner@suse.de

- Add missed `start this script before' feature patch (fate#301269)

-------------------------------------------------------------------
Tue Jan 16 14:04:06 CET 2007 - werner@suse.de

- Remove obsolate `$netdaemons' facility (#209380)
- Add `start this script before' feature (fate #301269)
- New version 1.09.0 of insserv

-------------------------------------------------------------------
Mon Nov 20 11:42:40 CET 2006 - werner@suse.de

- Expand aliases even for services which requires $all (#216202)

-------------------------------------------------------------------
Mon May 15 12:56:27 CEST 2006 - werner@suse.de

- Make kdump boot script a interactive script to enforce that this
  script runs not in parallel with other script (#175340, #171332)

-------------------------------------------------------------------
Wed Mar  8 17:06:47 CET 2006 - werner@suse.de

- Ignore .orig and .org file (bug #155944)

-------------------------------------------------------------------
Wed Mar  1 12:51:17 CET 2006 - werner@suse.de

- Add a few lines about $all into the man page (bug #151561)

-------------------------------------------------------------------
Mon Feb  6 16:40:46 CET 2006 - werner@suse.de

- Handle duplets even for interactive scripts

-------------------------------------------------------------------
Tue Jan 31 15:06:53 CET 2006 - werner@suse.de

- Be sure to find all interactive scripts and set their unique
  start number.  This solves the problem of two interactive
  scripts in the same start order.

-------------------------------------------------------------------
Tue Apr  4 18:23:24 CEST 2006 - werner@suse.de

- Add patches from Petter Reinholdtsen
- Make debian part work

-------------------------------------------------------------------
Wed Jan 25 14:52:26 CET 2006 - werner@suse.de

- Fix the broken fix (bug #145403)

-------------------------------------------------------------------
Mon Jan 23 13:35:40 CET 2006 - werner@suse.de

- Make missing Provides and Requires non-fatal.

-------------------------------------------------------------------
Fri Jan 20 18:13:39 CET 2006 - werner@suse.de

- Fix bug in handling of non-LSB scripts
- Add error condition for broken LSB scripts
- Make calculation of order number somewhat smarter, e.g. do not
  count system facilities.

-------------------------------------------------------------------
Thu Jan 19 15:33:06 CET 2006 - werner@suse.de

- Make the restore option work even on broken link scheme
- Don't count empty provides

-------------------------------------------------------------------
Thu Nov 10 18:05:53 CET 2005 - werner@suse.de

- Add patches from Petter Reinholdtsen
  * Avoid zero pointer
  * Allow not existing rc ditrectories at dryrun
  * Some more debugging code
  * Map the runlevel scheme into a common struct

-------------------------------------------------------------------
Fri Oct 28 17:48:38 CEST 2005 - werner@suse.de

- Fix duplet handling in make like service handling (bug #130451)

-------------------------------------------------------------------
Thu Sep 15 16:54:40 CEST 2005 - werner@suse.de

- Add dryrun changes from Petter Reinholdtsen
- First step for support of traditional SystemV link scheme

-------------------------------------------------------------------
Wed May 25 17:33:30 CEST 2005 - werner@suse.de

- Include confdir patch from Ludwig Nussel
- Bounce version to 1.01.0

-------------------------------------------------------------------
Mon Nov 29 16:32:04 CET 2004 - werner@suse.de

- Add some comments about boot script file names.

-------------------------------------------------------------------
Thu Nov 25 18:24:35 CET 2004 - werner@suse.de

- Update to 1.00.8 : use correct listing head (bug #48415)

-------------------------------------------------------------------
Thu Nov 25 13:48:45 CET 2004 - werner@suse.de

- Update to 1.00.7 : be more verbose on invalid file names

-------------------------------------------------------------------
Tue Nov 23 13:13:35 CET 2004 - werner@suse.de

- Update to 1.00.6

-------------------------------------------------------------------
Tue Nov 23 13:00:22 CET 2004 - werner@suse.de

- Fix segmentation fault caused by broken cast on reversed scanned
  linkage structure (bug #48415)

-------------------------------------------------------------------
Wed Sep 22 11:52:43 CEST 2004 - werner@suse.de

- Do not call error recursively if chdir fails (bugzilla #45767)

-------------------------------------------------------------------
Mon Sep 20 16:40:13 CEST 2004 - werner@suse.de

- Add a few lines about the make like dependency files to the
  manual page of insserv.

-------------------------------------------------------------------
Fri Sep 17 12:16:04 CEST 2004 - werner@suse.de

- Boot scripts which may call sulogin are INTERACTIVE

-------------------------------------------------------------------
Thu Sep 16 14:19:56 CEST 2004 - werner@suse.de

- Add dnsmasq and lwresd as optional to system facility named

-------------------------------------------------------------------
Thu Sep  2 11:34:09 BST 2004 - werner@suse.de

- Fix dependency of boot.clock also used in single mode (bug#44610)

-------------------------------------------------------------------
Fri Aug 27 17:50:39 CEST 2004 - werner@suse.de

- Fix dependencies of single script
- Fix $ALL handling for dependency files
- Fix handling of interactive scripts for for dependency files

-------------------------------------------------------------------
Thu Aug 19 17:37:06 CEST 2004 - werner@suse.de

- Update to 1.00.3 to support dependency files for make calls

-------------------------------------------------------------------
Wed Mar 31 11:52:31 CEST 2004 - werner@suse.de

- Verbose option and explain exit status in manual page (#37599)

-------------------------------------------------------------------
Thu Mar 18 17:53:04 CET 2004 - werner@suse.de

- Remove debug message

-------------------------------------------------------------------
Wed Mar 17 15:12:55 CET 2004 - werner@suse.de

- Implement the `$all' feature (bug #36140)

-------------------------------------------------------------------
Wed Mar 10 17:27:53 CET 2004 - werner@suse.de

- YAL (Yet Another Loop) fixed (bug #35522)

-------------------------------------------------------------------
Thu Feb 19 18:40:36 CET 2004 - werner@suse.de

- Do not create a K* link if no S* link exist.

-------------------------------------------------------------------
Thu Feb 19 13:55:14 CET 2004 - werner@suse.de

- More about K* links in /etc/init.d/boot.d

-------------------------------------------------------------------
Tue Feb 17 14:18:30 CET 2004 - ro@suse.de

- enable K* (kill) links in /etc/init.d/boot.d

-------------------------------------------------------------------
Wed Oct  1 17:58:08 CEST 2003 - werner@suse.de

- Allow numbers in initial segment of namespace of scripts (#31793)

-------------------------------------------------------------------
Mon Sep 22 18:41:26 CEST 2003 - werner@suse.de

- Stop recursive walk on dependency tree hard if a loop is detected

-------------------------------------------------------------------
Tue Sep 16 13:57:59 CEST 2003 - werner@suse.de

- Add extra flag for ENABLED status of services due the level
  can not used for checking this anymore (bug #31000)

-------------------------------------------------------------------
Mon Sep  1 13:49:23 CEST 2003 - werner@suse.de

- Move (re)calculation of order of active scripts after the
  calculation of all start orders to hold dependencies unique

-------------------------------------------------------------------
Fri Aug 29 14:42:22 CEST 2003 - werner@suse.de

- Update to 1.00.0 which fixes the handling of interactive
  services for passphrase input (bug #29375) and enhance
  the calculation of already enabled NONE-LSB scripts.

-------------------------------------------------------------------
Thu Jul  3 14:53:39 CEST 2003 - werner@suse.de

- Follow LSB specs and specify script functions for proc
  handling (no /sbin in PATH anymore).

-------------------------------------------------------------------
Wed Jun 18 14:39:47 CEST 2003 - werner@suse.de

- Update to 0.99.9: better handling with not LSB conform scripts

-------------------------------------------------------------------
Thu Jun 12 10:47:07 CEST 2003 - kukuk@suse.de

- fix filelist 

-------------------------------------------------------------------
Wed Apr 16 18:31:07 CEST 2003 - werner@suse.de

- Update to 0.99.8: be able to remove doubles with -rf

-------------------------------------------------------------------
Sat Mar  8 16:00:23 CET 2003 - kukuk@suse.de

- Add /lib/lsb back [Bug #24904]

-------------------------------------------------------------------
Wed Jan 15 17:07:54 CET 2003 - ro@suse.de

- split from aaa_base
 

